Page MenuHomePhabricator

[Perf trend] "user.cssprefs" is the most-frequently built module
Closed, ResolvedPublic

Description

Per https://grafana.wikimedia.org/#/dashboard/db/resourceloader.

The user.cssprefs module is built over 60 times per minute globally. This isn't too surprising since it's embedded in the page and can vary by user. So this will likely reflect page view traffic of logged-in users, as well as cache population for logged-out users.

However the user.options and user.tokens module are both generated only 11 times per minute.

Figure out why this is happening and/or bring it down.

EDIT: It looks like this module is redundant. It should be merged into the user module as additional stylesheet. However we can't do that until we change the module to output nothing for logged-out users (e.g. any default styles should become part of a core or skin module). This because "user.prefs" is embedded while "user" is a separate request and we don't want to add a separate request for all reader views for this one line of css.

Event Timeline

Krinkle created this task.Jul 9 2015, 11:30 AM
Krinkle updated the task description. (Show Details)
Krinkle raised the priority of this task from to Needs Triage.
Krinkle added a subscriber: Krinkle.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 9 2015, 11:30 AM
Krinkle renamed this task from [Perf trend] The "user.cssprefs" is the most-frequently built module to [Perf trend] "user.cssprefs" is the most-frequently built module.Jul 9 2015, 11:32 AM
Krinkle set Security to None.
He7d3r added a subscriber: He7d3r.Jul 9 2015, 4:42 PM

Change 223596 had a related patch set uploaded (by Catrope):
UserCSSPrefsModule: Remove redundant text-decoration:none rules

https://gerrit.wikimedia.org/r/223596

Krinkle triaged this task as Low priority.Sep 4 2015, 2:32 AM

Change 223596 merged by jenkins-bot:
UserCSSPrefsModule: Remove redundant inline text-decoration:none css rules

https://gerrit.wikimedia.org/r/223596

Krinkle closed this task as Resolved.Dec 23 2015, 8:21 PM
Krinkle claimed this task.